Bug 1464722 - [New UI] - Can't break bond after creation
[New UI] - Can't break bond after creation
Status: VERIFIED
Product: ovirt-engine
Classification: oVirt
Component: Frontend.WebAdmin (Show other bugs)
4.2.0
x86_64 Linux
unspecified Severity urgent (vote)
: ovirt-4.2.0
: ---
Assigned To: Alexander Wels
Michael Burman
: Regression
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2017-06-25 01:44 EDT by Michael Burman
Modified: 2017-09-28 05:43 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: No Doc Update
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: UX
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
rule-engine: ovirt‑4.2+
rule-engine: blocker+


Attachments (Terms of Use)
right click mouse options (284.92 KB, application/x-gzip)
2017-06-27 04:27 EDT, Michael Burman
no flags Details
record1 (1.29 MB, application/x-gzip)
2017-07-06 04:14 EDT, Michael Burman
no flags Details
record2 (584.02 KB, application/x-gzip)
2017-07-06 04:14 EDT, Michael Burman
no flags Details


External Trackers
Tracker ID Priority Status Summary Last Updated
oVirt gerrit 78388 master MERGED webadmin: Re-design of HOST interfaces 2017-08-10 09:52 EDT
oVirt gerrit 78840 master MERGED webadmin: GWT popup panel zindex 2017-07-03 18:52 EDT
oVirt gerrit 79576 master MERGED webadmin: GWT decorated popup panel z-index 2017-07-18 13:58 EDT

  None (edit)
Description Michael Burman 2017-06-25 01:44:55 EDT
Description of problem:
[New UI] - Can't break bond after creation.

It's not possible to break the bond in the new UI, as there is no such option, nothing happens when pressing the the right click of the mouse.

- When pressing on one of the slaves with the right click, i should have an option to remove the slave from the bond.
- Pressing on the slave with right click should allow me to break the bond.
- WHen pressing on a NIC which is not bonded, an option to add to a bond/s should appear once pressing it with right click. 

On the latest master build and the new UI, there is no such option and bond can't be broken after creation.

Version-Release number of selected component (if applicable):
4.2.0-0.0.master.20170618184152.gitb0f84a1.el7.centos

How reproducible:
100%

Steps to Reproduce:
1. Create bond via the setup networks dialog
2. Try to break it

Actual results:
No such option

Expected results:
Should work as excepted
Comment 1 Michael Burman 2017-06-25 04:07:24 EDT
On latest master as well - 4.2.0-0.0.master.20170624071949.gitff9611b.el7.centos
Comment 2 Red Hat Bugzilla Rules Engine 2017-06-26 01:41:15 EDT
This bug report has Keywords: Regression or TestBlocker.
Since no regressions or test blockers are allowed between releases, it is also being identified as a blocker for this release. Please resolve ASAP.
Comment 3 Michael Burman 2017-06-27 04:20:53 EDT
The whole right click mouse button functionality doesn't working in the setup networks dialog.
When pressing right click mouse on interfaces and networks i should be able to add networks to interfaces, add slaves to bond, break bonds, remove slaves from bond and detach networks from interfaces.
Comment 4 Michael Burman 2017-06-27 04:27 EDT
Created attachment 1292219 [details]
right click mouse options
Comment 5 Alexander Wels 2017-06-29 09:58:21 EDT
All those right click menu options use the gwt-PopupPanel css class, it appears the z-index of that is set to 1, which the popup dialogs we are using have a much higher z-index. I will adjust the z-index when I get a chance.
Comment 6 Alexander Wels 2017-06-29 13:38:47 EDT
Pushed patch, note to whomever is verifying, make sure you clear your cache so it loads the new CSS that the z-index
Comment 7 Michael Burman 2017-07-06 04:12:55 EDT
Hi Alex

I see that in 4.2.0-0.0.master.20170705100427.gitb0385be.el7.centos have the right click menu options again, but almost all of the options can't be chosen as they are out of the dialog or no option appears. attaching record to explain.
This should be improved as i can't use this options.
Comment 8 Michael Burman 2017-07-06 04:14 EDT
Created attachment 1294898 [details]
record1
Comment 9 Michael Burman 2017-07-06 04:14 EDT
Created attachment 1294899 [details]
record2
Comment 10 Michael Burman 2017-08-21 01:24:50 EDT
Verified on - 4.2.0-0.0.master.20170820180837.git59243e9.el7.centos

Note You need to log in before you can comment on or make changes to this bug.